﻿@model TroskovnikNatjecajViewModel

@{
    ViewData["Title"] = "Izmjena troškovnika " + Model.Naslov;
}


<div class="container">
    <form id="troskovnik_natjecaj_form" method="POST" asp-action="Edit"
          asp-route-page="@ViewBag.Page"
          asp-route-sort="@ViewBag.Sort"
          asp-route-ascending="@ViewBag.Ascending">
        <input type="hidden" asp-for="Id" />
        <div asp-validation-summary="All" class="form-group row"></div>

        <div class="form-group row col-sm-12">
            <label asp-for="Naslov" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-5">
                <input asp-for="Naslov" class="form-control" />
            </div>
            <label asp-for="Opis" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-5">
                <input asp-for="Opis" class="form-control" />
            </div>
        </div>
        <div class="form-group row col-sm-12">
            <label asp-for="NazivNat" class="col-sm-1 col-form-label">Natječaj</label>
            <div class="col-sm-9">
                <input type="hidden" data-autocomplete-placeholder="troskovniknatjecajMD" />
                <input asp-for="NazivNat" class="form-control" data-autocomplete="troskovniknatjecajMD" />
            </div>
            <div class="col-sm-2">
                <button id="save" type="submit" class="btn btn-sm btn-primary save" title="Spremi">
                    <i class="fas fa-save"></i>
                </button>
                <a asp-action="Edit"
                   asp-route-id="@Model.Id"
                   asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   class="btn btn-sm btn-primary" title="Osvježi">
                    <i class="fas fa-sync-alt"></i>
                </a>
                <a asp-action="Index"
                   asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   class="btn btn-sm btn-primary" title="Povratak na popis troškovnika">
                    <i class="fas fa-undo-alt"></i>
                </a>
            </div>
        </div>

        <div class="col-sm-12">
            <partial name="Stavke" model="Model.stavke" />
        </div>
    </form>
</div>

<partial name="NovaStavkaTemplate" />

@section styles{
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}

@section scripts{
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/js/autocomplete.js" asp-append-version="true"></script>
    <script src="~/js/troskovnik_natjecaj.js" asp-append-version="true"></script>
}